from django.shortcuts import render_to_response
from django.template import RequestContext
from django.contrib.auth.decorators import login_required
from models import Transaction, TransactionType

@login_required
def overview(request):
	history = Transaction.objects.filter(user=request.user).order_by("dateTime")
	return render_to_response("transaction/overview.html", {'history': history}, RequestContext(request))

#@login_required
#def transfer(request):
#	if request.method == 'POST':
#		
#	return render_to_response("transaction/transfered.html", RequestContext(request))

#@kassenwart_required
#def checkTransfers(request):
#	transfers = Transaction.objects.filter(checked=False).sort("dateTime")
#	return render_to_response("transaction/uncheckedTransfers.html", {'transfers' : tranfers}, RequestContext(request))